﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=8.8
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Private const APName As String = "WeMosAP"
	Private sServerIP As String = "192.168.4.1"
	Private TCPPort As Int = 13130
	Private connectionTimeout As Long = 30000
	
	Public TCPClient As Socket
	Private testWiFi As MLwifi
	Public rp As RuntimePermissions
End Sub

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.

End Sub

Sub Service_Start (StartingIntent As Intent)
	

End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub

Public Sub ConnectToAP
	Private connectionStart As Long = DateTime.Now
	
	
	Log(testWiFi.WifiSSID)
	If testWiFi.WifiSSID <> APName Or Not(testWiFi.isWifiConnected) Then
		testWiFi.disconnectWifiAP
		Log("Connecting to AP")
		'testWiFi.connectWifiAP(APName)
		testWiFi.saveWifiAP(APName, 0, "", True)
		Do Until testWiFi.isWifiConnected
			Sleep(0)
			If DateTime.Now > connectionStart + connectionTimeout Then
				Log("DO MANUAL")
				Return
			End If
		Loop
	End If
	Log($"Connected to ${APName}"$)

	TCPClient.Initialize("TCPClient")
	TCPClient.Connect(sServerIP, TCPPort, connectionTimeout)
End Sub

Public Sub TCPClient_Connected(Successful As Boolean)
	If Successful Then
		Log("TCP Connection Success!")
	Else
		Log("TCP Connection Failed")
	End If
End Sub
